Results 1 to 3 of 3

Thread: 10.04 can't remove nvidia-kernel-common

  1. #1
    Join Date
    Dec 2007
    Beans
    2

    10.04 can't remove nvidia-kernel-common

    Hi,

    I have this broken package nvidia-kernel-common, I don't have Nvidia HW andI'm using ATI.

    I tried to remove/purge/install this package since I saw it was broken but without any help.

    This is the output that I have:
    sudo apt-get remove nvidia-kernel-common
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages will be REMOVED:
    nvidia-kernel-common
    0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
    1 not fully installed or removed.
    After this operation, 115kB disk space will be freed.
    Do you want to continue [Y/n]? Y
    (Reading database ... 189770 files and directories currently installed.)
    Removing nvidia-kernel-common ...
    /var/lib/dpkg/info/nvidia-kernel-common.prerm: 7: update-modules: not found
    dpkg: error processing nvidia-kernel-common (--remove):
    subprocess installed pre-removal script returned error exit status 127
    update-rc.d: warning: /etc/init.d/nvidia-kernel missing LSB information
    update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
    usage: update-rc.d [-n] [-f] <basename> remove
    update-rc.d [-n] <basename> defaults [NN | SS KK]
    update-rc.d [-n] <basename> start|stop NN runlvl [runlvl] [...] .
    update-rc.d [-n] <basename> disable|enable [S|2|3|4|5]
    -n: not really
    -f: force

    The disable|enable API is not stable and might change in the future.
    dpkg: error while cleaning up:
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    nvidia-kernel-common
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Please help me.

    Thanks,
    Robbie

  2. #2
    Join Date
    May 2010
    Beans
    1

    Re: 10.04 can't remove nvidia-kernel-common

    I am having the same errors when upgrading to Lucid 10.04 Ubuntu.
    Also same errors when trying to remove nvidia-kernel-common and when using update manager to do updates.

    Did you find out what the difficulty is?

    Since upgrading from the previous LTS 08.04 there are other new problems with my system too:

    1. the external hard drive can no longer be written to and
    2. Simple Backup refuses to backup to the external hard drive now.
    3. My system has sometimes suggested I submit a bug report, when I do the programs run for a while doing the bug report only to end with a dialog box telling me I do not have genuine Ubuntu and so can not submit a bug report.


    I have done sudo apt-get install --reinstall dpkg
    sudo apt-get clean
    and sudo apt-get check
    but this does not fix the problems.

    I tried installing ubuntu-restricted-extras hoping to fix problems with flash media and other media in firefox browser but that install also ended with the same errors.

    Have you learned what to do for the problems? Here is some of the error messages but they are generally all very similar.From Tuesday 5/11/2010 11:00PM:
    clifford@act-one:~$ sudo apt-get clean
    [sudo] password for clifford:
    clifford@act-one:~$ sudo apt-get check
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    clifford@act-one:~$ sudo apt-get install --reinstall dpkg
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
    linux-headers-2.6.32-21 libpt-1.10.10-plugins-alsa libpt-1.10.10 libnss3-dev
    nvidia-kernel-common linux-headers-2.6.32-21-generic libnspr4-dev libdb4.6
    libpt-1.10.10-plugins-v4l
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 0 not upgraded.
    1 not fully installed or removed.
    Need to get 2,191kB of archives.
    After this operation, 0B of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://us.archive.ubuntu.com/ubuntu/ lucid/main dpkg 1.15.5.6ubuntu4 [2,191kB]
    Fetched 2,191kB in 3s (575kB/s)
    (Reading database ... 223723 files and directories currently installed.)
    Preparing to replace dpkg 1.15.5.6ubuntu4 (using .../dpkg_1.15.5.6ubuntu4_i386.deb) ...
    Unpacking replacement dpkg ...
    Processing triggers for man-db ...
    Setting up dpkg (1.15.5.6ubuntu4) ...


    Setting up nvidia-kernel-common (20051028+1ubuntu7) ...
    update-rc.d: warning: /etc/init.d/nvidia-kernel missing LSB information
    update-rc.d: see <http://wiki.debian.org/LSBInitScripts>
    usage: update-rc.d [-n] [-f] <basename> remove
    update-rc.d [-n] <basename> defaults [NN | SS KK]
    update-rc.d [-n] <basename> start|stop NN runlvl [runlvl] [...] .
    update-rc.d [-n] <basename> disable|enable [S|2|3|4|5]
    -n: not really
    -f: force


    The disable|enable API is not stable and might change in the future.
    dpkg: error processing nvidia-kernel-common (--configure):
    subprocess installed post-installation script returned error exit status 1
    Errors were encountered while processing:
    nvidia-kernel-common
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    I went to a Linux user group meeting last night and no could solve this.
    I tried their idea to do apt-get clean and check as mentioned above.
    I did get a live install CD for 10.04 ubuntu.

  3. #3
    Join Date
    Dec 2007
    Beans
    2

    Re: 10.04 can't remove nvidia-kernel-common

    found the solution in this thread
    http://ubuntuforums.org/showthread.php?t=1482704&page=2

    cheers,
    Robbie

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •